Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/netbsd-1-4]: src/dist/bind/bin Pull up revisions 1.1-1.2 (new) (requeste...
details: https://anonhg.NetBSD.org/src/rev/140ae74eecf2
branches: netbsd-1-4
changeset: 469776:140ae74eecf2
user: he <he%NetBSD.org@localhost>
date: Sat Dec 04 16:51:47 1999 +0000
description:
Pull up revisions 1.1-1.2 (new) (requested by christos and veego):
Update to BIND 8.2.2-P5.
diffstat:
dist/bind/bin/probe_ipv6 | 57 ++++++++++++++++++++++++++++++++++++++++++++++++
1 files changed, 57 insertions(+), 0 deletions(-)
diffs (61 lines):
diff -r 22ed7199e044 -r 140ae74eecf2 dist/bind/bin/probe_ipv6
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/dist/bind/bin/probe_ipv6 Sat Dec 04 16:51:47 1999 +0000
@@ -0,0 +1,57 @@
+#!/bin/sh
+#
+# $NetBSD: probe_ipv6,v 1.2.2.2 1999/12/04 16:51:47 he Exp $
+
+set -e
+PATH=/bin:/usr/bin:$PATH; export PATH
+trap "rm -f tmp$$a.c tmp$$b.c tmp$$a.o tmp$$b.o" 0
+target=port_ipv6
+new=new_${target}.h
+old=${target}.h
+
+cat > tmp$$a.c <<EOF
+#include <sys/types.h>
+#include <netinet/in.h>
+struct sockaddr_in6 xx;
+EOF
+
+cat > tmp$$b.c <<EOF
+#include <sys/types.h>
+#include <netinet/in.h>
+struct in6_addr xx;
+EOF
+
+cat > ${new} <<EOF
+
+/* This file is automatically generated. Do Not Edit. */
+
+#ifndef ${target}_h
+#define ${target}_h
+
+EOF
+
+if ${CC} -c tmp$$a.c > /dev/null 2>&1
+then
+ echo "#define HAS_INET6_STRUCTS" >> ${new}
+ if ${CC} -c tmp$$b.c > /dev/null 2>&1
+ then
+ :
+ else
+ echo "#define in6_addr in_addr6" >> ${new}
+ fi
+else
+ echo "#undef HAS_INET6_STRUCTS" >> ${new}
+fi
+echo >> ${new}
+echo "#endif" >> ${new}
+if [ -f ${old} ]; then
+ if cmp -s ${new} ${old} ; then
+ rm -f ${new}
+ else
+ rm -f ${old}
+ mv ${new} ${old}
+ fi
+else
+ mv ${new} ${old}
+fi
+exit 0
Home |
Main Index |
Thread Index |
Old Index